import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * An Example Application
 * "Hello JNLP!"
 * Just pops up a dialog
 *
 * @author Mauro Marinilli
 * @version 1.0
 */
public class Example extends JDialog {
  JPanel panel1 = new JPanel();
  BorderLayout borderLayout1 = new BorderLayout();
  JLabel jLabel = new JLabel();
  JPanel southPanel = new JPanel();
  JButton okButton = new JButton();

  public Example(Frame frame, String title, boolean modal) {
    super(frame, title, modal);
    try {
        initUI();
        pack();
    } catch(Exception ex) {
      ex.printStackTrace();
    }
  }

  public Example() {
    this(null, "", true);
  }

  void initUI() throws Exception {
    panel1.setLayout(borderLayout1);
    jLabel.setHorizontalAlignment(SwingConstants.CENTER);
    jLabel.setHorizontalTextPosition(SwingConstants.CENTER);
    jLabel.setLabelFor(okButton);
    jLabel.setText("<html><body><h1>Hello JNLP!");
    okButton.setToolTipText("close the example dialog");
    okButton.setText("<html><body><tt>OK");
    okButton.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        dismiss();
      }
    });
    setTitle("Example Dialog");
      addWindowListener(new java.awt.event.WindowAdapter() {
        public void windowClosing(WindowEvent e) {
          dismiss();
        }
      });
    getContentPane().add(panel1);
    panel1.add(jLabel, BorderLayout.NORTH);
    panel1.add(southPanel, BorderLayout.SOUTH);
    southPanel.add(okButton, null);
    pack();
    setVisible(true);
  }

  /**
   * the Main method
   */
  static public void main(String[] args) {
    Example e = new Example();
  }

  /**
   * dismiss the dialog
   */
  void dismiss() {
    System.exit(0);
  }

}
